using System;
using System.Runtime.Serialization;

namespace InfiniTec.Exchange.ActiveDirectory
{
    /// <summary>
    /// Exception thrown when the default SMTP domain could not be found.
    /// </summary>
    [Serializable]
    public sealed class DefaultSmtpDomainNotFoundException : Exception
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="DefaultSmtpDomainNotFoundException"/> class.
        /// </summary>
        public DefaultSmtpDomainNotFoundException()
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="DefaultSmtpDomainNotFoundException"/> class.
        /// </summary>
        /// <param name="message">The message.</param>
        public DefaultSmtpDomainNotFoundException(string message) : base(message)
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="DefaultSmtpDomainNotFoundException"/> class.
        /// </summary>
        /// <param name="message">The message.</param>
        /// <param name="innerException">The inner exception.</param>
        public DefaultSmtpDomainNotFoundException(string message, Exception innerException)
            : base(message, innerException)
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="DefaultSmtpDomainNotFoundException"/> class.
        /// </summary>
        /// <param name="context">The <see cref="StreamingContext"/> to recreate the exception from.</param>
        /// <param name="info">The <see cref="SerializationInfo"/> to recreate the exception from.</param>
        private DefaultSmtpDomainNotFoundException(SerializationInfo info, StreamingContext context): base(info, context) {}
    }
}