using System;
using System.Runtime.Serialization;

namespace InfiniTec.Exchange.ActiveDirectory
{
    /// <summary>
    /// Exception thrown when the default virtual http server cannot be found on an Exchange server node
    /// </summary>
    [Serializable]
    public sealed class DefaultSmtpServerNotFoundException : Exception
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="DefaultSmtpServerNotFoundException"/> class.
        /// </summary>
        public DefaultSmtpServerNotFoundException()
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="DefaultSmtpServerNotFoundException"/> class.
        /// </summary>
        /// <param name="message">The message.</param>
        public DefaultSmtpServerNotFoundException(string message) : base(message)
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="DefaultSmtpServerNotFoundException"/> class.
        /// </summary>
        /// <param name="message">The message.</param>
        /// <param name="innerException">The inner exception.</param>
        public DefaultSmtpServerNotFoundException(string message, Exception innerException)
            : base(message, innerException)
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="DefaultSmtpServerNotFoundException"/> class.
        /// </summary>
        private DefaultSmtpServerNotFoundException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }
    }
}