using System;
using System.Runtime.Serialization;

namespace InfiniTec.Exchange.ActiveDirectory
{
    /// <summary>
    /// Exception thrown when no Exchange organization can be found in the Active Directory
    /// </summary>
    [Serializable]
    public sealed class ExchangeOrganizationNotfoundException : Exception
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ExchangeOrganizationNotfoundException"/> class.
        /// </summary>
        public ExchangeOrganizationNotfoundException()
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="ExchangeOrganizationNotfoundException"/> class.
        /// </summary>
        /// <param name="message">The message.</param>
        public ExchangeOrganizationNotfoundException(string message) : base(message)
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="ExchangeOrganizationNotfoundException"/> class.
        /// </summary>
        /// <param name="message">The message.</param>
        /// <param name="innerException">The inner exception.</param>
        public ExchangeOrganizationNotfoundException(string message, Exception innerException)
            : base(message, innerException)
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="ExchangeOrganizationNotfoundException"/> class.
        /// </summary>
        /// <param name="context">The <see cref="StreamingContext"/> to recreate the exception from.</param>
        /// <param name="info">The <see cref="SerializationInfo"/> to recreate the exception from.</param>
        private ExchangeOrganizationNotfoundException(SerializationInfo info, StreamingContext context): base(info, context) {}
    }
}