using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.Text;

namespace InfiniTec.Exchange.ActiveDirectory
{
    /// <summary>
    /// Exception thrown when the resolution of the url of a users mailbox failed
    /// </summary>
    [Serializable]
    public sealed class MailboxUrlResolutionFailedException : Exception
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="MailboxUrlResolutionFailedException"/> class.
        /// </summary>
        public MailboxUrlResolutionFailedException() {}
	
        /// <summary>
        /// Initializes a new instance of the <see cref="MailboxUrlResolutionFailedException"/> class.
        /// </summary>
        /// <param name="message">The message.</param>
        public MailboxUrlResolutionFailedException(string message) : base(message) {}
		
        /// <summary>
        /// Initializes a new instance of the <see cref="MailboxUrlResolutionFailedException"/> class.
        /// </summary>
        /// <param name="message">The message.</param>
        /// <param name="innerException">The inner exception.</param>
        public MailboxUrlResolutionFailedException(string message, Exception innerException) : base(message, innerException) {}
	
        /// <summary>
        /// Initializes a new instance of the <see cref="MailboxUrlResolutionFailedException"/> class.
        /// </summary>
        /// <param name="context">The <see cref="StreamingContext"/> to recreate the exception from.</param>
        /// <param name="info">The <see cref="SerializationInfo"/> to recreate the exception from.</param>
        private MailboxUrlResolutionFailedException(SerializationInfo info, StreamingContext context): base(info, context) {}
    }
}
