using System;
using System.Runtime.Serialization;

namespace InfiniTec.Exchange.ActiveDirectory
{
    /// <summary>
    /// Exception thrown when no TCP/IP address can be found on an exchange server object.
    /// </summary>
    [Serializable]
    public sealed class ServerTcpIpAddressNotFoundException : Exception
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ServerTcpIpAddressNotFoundException"/> class.
        /// </summary>
        public ServerTcpIpAddressNotFoundException()
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="ServerTcpIpAddressNotFoundException"/> class.
        /// </summary>
        /// <param name="message">The message.</param>
        public ServerTcpIpAddressNotFoundException(string message) : base(message)
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="ServerTcpIpAddressNotFoundException"/> class.
        /// </summary>
        /// <param name="message">The message.</param>
        /// <param name="innerException">The inner exception.</param>
        public ServerTcpIpAddressNotFoundException(string message, Exception innerException)
            : base(message, innerException)
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="ServerTcpIpAddressNotFoundException"/> class.
        /// </summary>
        /// <param name="context">The <see cref="StreamingContext"/> to recreate the exception from.</param>
        /// <param name="info">The <see cref="SerializationInfo"/> to recreate the exception from.</param>
        private ServerTcpIpAddressNotFoundException(SerializationInfo info, StreamingContext context): base(info, context) {}
    }
}