using System;

namespace InfiniTec.Exchange
{
    /// <summary>
    /// This enum defines several flags for an appointment.
    /// </summary>
    [Flags]
    public enum AppointmentState
    {
        /// <summary>
        /// No flags are specified
        /// </summary>
        None = 0,
        /// <summary>
        /// The appointment is a meeting
        /// </summary>
        Meeting = 1,
        /// <summary>
        /// The appointment has been received
        /// </summary>
        Received = 2,
        /// <summary>
        /// The appointment has been cancelled
        /// </summary>
        Cancelled = 4,
        /// <summary>
        /// The appointment has been forwarded.
        /// </summary>
        Forward = 8
    }
}