namespace InfiniTec.Exchange
{
    /// <summary>
    /// Specifies the type of authentication used for
    /// the request.
    /// </summary>
    public enum AuthenticationType
    {
        /// <summary>
        /// Use basic authentication. The username and password 
        /// is sent in cleartext.
        /// </summary>
        /// <remarks>This options should only be used with
        /// SSL encryption.</remarks>
        Basic,
        /// <summary>
        /// Use digest authentication.
        /// </summary>
        Digest,
        /// <summary>
        /// Use NTLM authentication
        /// </summary>
        Ntlm,
        /// <summary>
        /// Use Kerberos authentication.
        /// </summary>
        Kerberos,
        /// <summary>
        /// Use Form-based authentication.
        /// </summary>
        FormBasedAuthentication,
    }
}