namespace InfiniTec.Exchange
{
    /// <summary>
    /// This enum specified the behaviour for copy and move operations.
    /// </summary>
    public enum CopyOption
    {
        /// <summary>
        /// Neither overwrite nor rename items
        /// </summary>
        None = 0,
        /// <summary>
        /// Overwrite existing items
        /// </summary>
        Overwrite,
        /// <summary>
        /// If specified, items can be renamed by the Exchange server 
        /// during the copy or move operation.
        /// </summary>
        AllowRename
    }
}