namespace InfiniTec.Exchange
{
    /// <summary>
    /// Specifies the scope for search and copy operations.
    /// </summary>
    public enum Depth
    {
        /// <summary>
        /// The scope of the operation is restricted to the current level.
        /// </summary>
        Shallow,
        /// <summary>
        /// The scope of the operation is restricted to the the current level and the first sublevel
        /// </summary>
        OneLevel,
        /// <summary>
        /// The scope of the operation is restricted to the first sublevel.
        /// </summary>
        OneLevelNoRoot,
        /// <summary>
        /// The scope of the operation is not restricted and affects all sublevels.
        /// </summary>
        Deep,
        /// <summary>
        /// The scope of the operation is restricted to all sublevels.
        /// </summary>
        DeepNoRoot
    }
}