namespace InfiniTec.Exchange
{
    /// <summary>
    /// Specifies how contact items are filed.
    /// </summary>
    public enum FileAsMapping
    {
        /// <summary>
        /// No mapping specified
        /// </summary>
        None,
        /// <summary>
        /// Stores contact as Lastname, Firstname
        /// </summary>
        LastCommaFirst,
        /// <summary>
        /// Stores contacts as Firstname, Lastname
        /// </summary>
        FirstSpaceLast,
        /// <summary>
        /// Stores contacts using the company value
        /// </summary>
        Company,
        /// <summary>
        /// Stores contacts as Lastname, FirstName Company
        /// </summary>
        LastCommaFirstCompany,
        /// <summary>
        /// Stores contacts as Company Lastname, Firstname
        /// </summary>
        CompanyLastFirst,
        /// <summary>
        /// Stores contacts as LastName Firstname
        /// </summary>
        LastFirst,
        /// <summary>
        /// Stores contacts as Lastname FirstName Company
        /// </summary>
        LastFirstCompany,
        /// <summary>
        /// Stores contacts as Company LastName, FirstName
        /// </summary>
        CompanyLastCommaFirst,
        /// <summary>
        /// Stores contacts as Lastname, FirstName Suffix
        /// </summary>
        LastFirstSuffix,
        /// <summary>
        /// Stores contacts as LastName FirstName Company
        /// </summary>
        LastSpaceFirstCompany,
        /// <summary>
        /// Stores contacts as Company Lastname, Firstname
        /// </summary>
        CompanyLastSpaceFirst,
        /// <summary>
        /// Stores contacts as Lastname Firstname
        /// </summary>
        LastSpaceFirst
    }
}