namespace InfiniTec.Exchange
{
    /// <summary>
    /// This enumeration defines the free/busy marking of a calendar entry.
    /// </summary>
    public enum FreeBusyType
    {
        /// <summary>
        /// The item is marked as free.
        /// </summary>
        Free,
        /// <summary>
        /// The item is marked as tentative.
        /// </summary>
        Tentative,
        /// <summary>
        /// The item is marked as busy.
        /// </summary>
        Busy,
        /// <summary>
        /// The item is marked as out of office
        /// </summary>
        OOF,
        /// <summary>
        /// Unknown
        /// </summary>
        NoData
    }
}