namespace InfiniTec.Exchange
{
    /// <summary>
    /// Representation for the various icon indexes on messages and tasks
    /// </summary>
    public enum IconIndex
    {
        /// <summary>
        /// None
        /// </summary>
        None = 0,
        /// <summary>
        /// The default icon
        /// </summary>
        Default = -1,
        /// <summary>
        /// The default icon for a mail
        /// </summary>
        MailRead = 0x100,
        /// <summary>
        /// The icon for an unread mail
        /// </summary>
        MailUnread = 0x101,
        /// <summary>
        /// The icon for a mail which has been replied to.
        /// </summary>
        MailReplied = 0x105,
        /// <summary>
        /// The icon for a mail which has been forwarded.
        /// </summary>
        MailForwarded = 0x106,
        /// <summary>
        /// The icon for an encrypted mail which has been replied to
        /// </summary>
        MailEncryptedReplied = 0x113,
        /// <summary>
        /// The icon for a signed mail which has been replied to
        /// </summary>
        MailSmimeSignedReplied = 0x114,
        /// <summary>
        /// The icon for an encrypted mail which has been forwarded
        /// </summary>
        MailEncryptedForwarded = 0x115,
        /// <summary>
        /// The icon for an signed mail which has been forwarded
        /// </summary>
        MailSmimeSignedForwarded = 0x116,
        /// <summary>
        /// The icon for an encrypted mail which has been read
        /// </summary>
        MailEncryptedRead = 0x117,
        /// <summary>
        /// The icon for a signed mail which has been read
        /// </summary>
        MailSmimeSignedRead = 0x118,
        /// <summary>
        /// The icon for a task item
        /// </summary>
        TaskItem = 0x500,
        /// <summary>
        /// The icon for a recurring task item
        /// </summary>
        TaskRecur = 0x501,
        /// <summary>
        /// The icon for a task item which is owned by the current user
        /// </summary>
        TaskOwned = 0x502,
        /// <summary>
        /// The icon for a task item which has been delegated to the current user
        /// </summary>
        TaskDelagated = 0x503
    }
}