namespace InfiniTec.Exchange
{
    /// <summary>
    /// This enumeration defines the last verb executed on an item.
    /// </summary>
    public enum LastVerbExcecuted
    {
        /// <summary>
        /// The element has been opened
        /// </summary>
        Open = 0,
        /// <summary>
        /// The element has been composed.
        /// </summary>
        ReservedComposed = 100,
        /// <summary>
        /// The element has been opened.
        /// </summary>
        ReservedOpen = 101,
        /// <summary>
        /// The message has been replied upon.
        /// </summary>
        ReplyToSender = 102,
        /// <summary>
        /// The message has been replied upon to the sender and all other recipients.
        /// </summary>
        ReplyToAll = 103,
        /// <summary>
        /// The message has been forwarded.
        /// </summary>
        Forward = 104,
        /// <summary>
        /// The message has been printed.
        /// </summary>
        Print = 105,
        /// <summary>
        /// The message has been saved.
        /// </summary>
        SaveAs = 106,
        /// <summary>
        /// Unknown.
        /// </summary>
        ReservedDelivery = 107,
        /// <summary>
        /// A reply has been posted to the folder.
        /// </summary>
        ReplyToFolder = 108
    }
}