using System;

namespace InfiniTec.Exchange
{
    /// <summary>
    /// This enum defines several flags for a message
    /// </summary>
    [Flags]
    public enum MessageFlags
    {
        /// <summary>
        /// No flags are specified
        /// </summary>
        None = 0,
        /// <summary>
        /// The item has been read
        /// </summary>
        IsRead = 1,
        /// <summary>
        /// The item is unmodified.
        /// </summary>
        IsUnmodified = 2,
        /// <summary>
        /// The item has been submitted.
        /// </summary>
        HasBeenSubmitted = 4,
        /// <summary>
        /// The item is a draft.
        /// </summary>
        IsDraft = 8,
        /// <summary>
        /// Unknown
        /// </summary>
        IsAssociated = 0x40,
        /// <summary>
        /// The item has been resent.
        /// </summary>
        IsResend = 0x80,
        /// <summary>
        /// A read receipt is pending
        /// </summary>
        IsReadReceiptPending = 0x100,
        /// <summary>
        /// A not-read receipt is pending
        /// </summary>
        IsNotReadReceiptPending = 0x200
    }
}