namespace InfiniTec.Exchange
{
    /// <summary>
    /// This enum defines the various phone and fax types
    /// </summary>
    public enum PhoneNumberType
    {
        /// <summary>
        /// The telephone number of the assistant.
        /// </summary>
        AssistantPhone,
        /// <summary>
        /// The business fax
        /// </summary>
        BusinessFax,
        /// <summary>
        /// The business phone
        /// </summary>
        BusinessPhone,
        /// <summary>
        /// The secondary business phone
        /// </summary>
        BusinessPhone2,
        /// <summary>
        /// A callback number
        /// </summary>
        Callback,
        /// <summary>
        /// The car telephone
        /// </summary>
        CarPhone,
        /// <summary>
        /// The company main phone
        /// </summary>
        CompanyMainPhone,
        /// <summary>
        /// The home fax
        /// </summary>
        HomeFax,
        /// <summary>
        /// The home phone
        /// </summary>
        HomePhone,
        /// <summary>
        /// The secondary home phone
        /// </summary>
        HomePhone2,
        /// <summary>
        /// The ISDN phone
        /// </summary>
        Isdn,
        /// <summary>
        /// The mobile phone
        /// </summary>
        MobilePhone,
        /// <summary>
        /// Another fax number
        /// </summary>
        OtherFax,
        /// <summary>
        /// Another telephone number
        /// </summary>
        OtherTelephone,
        /// <summary>
        /// The number of the pager
        /// </summary>
        Pager,
        /// <summary>
        /// The primary phone
        /// </summary>
        PrimaryPhone,
        /// <summary>
        /// The radio-phone
        /// </summary>
        RadioPhone,
        /// <summary>
        /// The telex number
        /// </summary>
        Telex,
        /// <summary>
        /// The Teletype number
        /// </summary>
        TtyTddPhone
    }
}