using System;
using System.Collections.Generic;

namespace InfiniTec.Exchange
{
    /// <summary>
    /// This class encapuslates an url and a set of properties.
    /// </summary>
    public class PropertyContainer
    {
        private Uri _Url;
        private IEnumerable<Property> _Properties;

        /// <summary>
        /// Gets or sets the url of the item.
        /// </summary>
        public Uri Url
        {
            get { return _Url; }
            set { _Url = value; }
        }

        /// <summary>
        /// Gets or sets the properties of this item.
        /// </summary>
        public IEnumerable<Property> Properties
        {
            get { return _Properties; }
            set { _Properties = value; }
        }

        /// <summary>
        /// Creates a new instance of this class.
        /// </summary>
        public PropertyContainer()
        {
        }

        /// <summary>
        /// Creates a new instance of this class.
        /// </summary>
        /// <param name="url">The url of the item</param>
        /// <param name="properties">The properties of the item.</param>
        public PropertyContainer(Uri url, IEnumerable<Property> properties)
        {
            _Url = url;
            _Properties = properties;
        }
    }
}