namespace InfiniTec.Exchange
{
    /// <summary>
    /// Specifies a range for a search request.
    /// </summary>
    public class Range
    {
        private int _From;

        /// <summary>
        /// The lower end of the range
        /// </summary>
        public int From
        {
            get { return _From; }
            set { _From = value; }
        }

        private int _To;

        /// <summary>
        /// The upper end of the range
        /// </summary>
        public int To
        {
            get { return _To; }
            set { _To = value; }
        }

        /// <summary>
        /// Initates a new instance of this class using the specified values.
        /// </summary>
        /// <param name="from">The lower end of the range</param>
        /// <param name="to">The upper end of the range</param>
        public Range(int from, int to)
        {
            _From = from;
            _To = to;
        }
    }
}