namespace InfiniTec.Exchange
{
    /// <summary>
    /// This enumeration defines the status of the response to a meeting request
    /// </summary>
    public enum ResponseType
    {
        /// <summary>
        /// The status is unknown
        /// </summary>
        Unknown = 0,
        /// <summary>
        /// The user is the organizer of the meeting.
        /// </summary>
        Organizer,
        /// <summary>
        /// A tentative reply has been received.
        /// </summary>
        Tentative,
        /// <summary>
        /// The meeting has been accepted.
        /// </summary>
        Accept,
        /// <summary>
        /// The meeting has been declined.
        /// </summary>
        Decline,
        /// <summary>
        /// No reponse has been received.
        /// </summary>
        NoResponseReceived,
    }
}