namespace InfiniTec.Exchange.Security
{
    /// <summary>
    /// Definition of default roles for a folder
    /// </summary>
    public enum AccessRole
    {
        /// <summary>
        /// No access to the folder
        /// </summary>
        None,
        /// <summary>
        /// Can read and create items, create folders, edit and delete all items
        /// </summary>
        PublishingEditor,
        /// <summary>
        /// Can read and create items, edit and delete all items
        /// </summary>
        Editor,
        /// <summary>
        /// Can read and create items, create folders, edit and delete own items
        /// </summary>
        PublishingAuthor,
        /// <summary>
        /// Can read and create items, edit and delete own items
        /// </summary>
        Author,
        /// <summary>
        /// Can read and create items and delete own items
        /// </summary>
        NonEditingAuthor,
        /// <summary>
        /// Can read items
        /// </summary>
        Reviewer,
        /// <summary>
        /// Can create items
        /// </summary>
        Contributor,
        /// <summary>
        /// Can read and create items, create folders, edit, delete all items,
        /// and is both, folder contact and folder owner
        /// </summary>
        Owner,
        /// <summary>
        /// The folder is visible
        /// </summary>
        FolderVisible,
        /// <summary>
        /// Not a set of permissions. Only used for categorization
        /// </summary>
        Special
    } ;
}