using System.Collections.Generic;
using System.Security.Principal;
using InfiniTec.Security;

namespace InfiniTec.Exchange.Security
{
    internal static class AccountTypeResolver
    {
        private static Dictionary<SecurityIdentifier, AccountType> _Cache =
            new Dictionary<SecurityIdentifier, AccountType>();

        public static AccountType ResolveAccountType(SecurityIdentifier id, Connection connection)
        {
            AccountType result;
            IdentityResolver resolver;

            if (!_Cache.TryGetValue(id, out result))
            {
                resolver = new IdentityResolver(id, connection.ExchangeServer);
                result = resolver.AccountType;
                _Cache[id] = result;
            }
            return result;
        }
    }
}