namespace InfiniTec.Exchange
{
    /// <summary>
    /// This enumeration defines the various task states of a task.
    /// </summary>
    public enum TaskStatus
    {
        /// <summary>
        /// The task has not been started.
        /// </summary>
        NotStarted,
        /// <summary>
        /// The task is in progress.
        /// </summary>
        InProgress,
        /// <summary>
        /// The task has been completed.
        /// </summary>
        Completed,
        /// <summary>
        /// The completion of the task is waiting on other.
        /// </summary>
        WaitingOnOthers,
        /// <summary>
        /// The task has been deferred.
        /// </summary>
        Deferred
    }
}