using System;
using System.Runtime.Serialization;

namespace InfiniTec.Exchange.WebDav
{
    /// <summary>
    /// This exception is thrown when the Exchange server requires Form-based authentication, but 
    /// <see cref="InfiniTec.Exchange.AuthenticationType"/> of the Connection.Credential object is
    /// not set to <see cref="InfiniTec.Exchange.AuthenticationType.FormBasedAuthentication"/>.
    /// </summary>
    [Serializable]
    public class FormbasedAuthenticationRequiredException : Exception
    {
        /// <summary>
        /// Creates a new instance of this class.
        /// </summary>
        public FormbasedAuthenticationRequiredException()
        {
        }

        /// <summary>
        /// Creates a new instance of this class.
        /// </summary>
        /// <param name="message">The message of the exception</param>
        public FormbasedAuthenticationRequiredException(string message) : base(message)
        {
        }

        /// <summary>
        /// Creates a new instance of this class.
        /// </summary>
        /// <param name="message">The message of the exception</param>
        /// <param name="inner">The inner exception.</param>
        public FormbasedAuthenticationRequiredException(string message, Exception inner) : base(message, inner)
        {
        }

        /// <summary>
        /// Creates a new instance of this class.
        /// </summary>
        /// <param name="context">A <see cref="StreamingContext"/> instance.</param>
        /// <param name="info">A <see cref="SerializationInfo"/> instance.</param>
        protected FormbasedAuthenticationRequiredException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }
    }
}