namespace InfiniTec.Exchange.WebDav.Request
{
    /// <summary>
    /// Specifies the status of a WebDAV request.
    /// </summary>
    public enum RequestStatus
    {
        /// <summary>
        /// Uninitialized value
        /// </summary>
        None = 0,
        /// <summary>
        /// Initializing the request
        /// </summary>
        Initializing,
        /// <summary>
        /// Currently performing formbased authentication.
        /// </summary>
        PerformingFormbasedAuthentication,
        /// <summary>
        /// Currently sending the request
        /// </summary>
        SendingRequest,
        /// <summary>
        /// Currently receiving the response
        /// </summary>
        ReceivingResponse
    }
}