using System.Collections.Generic;

namespace InfiniTec.Exchange.WebDav
{
    /// <summary>
    /// This class contains information about a pending search operation.
    /// </summary>
    public class SearchProgress<ItemType>
    {
        private IList<ItemType> _Items;
        private Range _Range;

        /// <summary>
        /// Gets or sets the range of the currently retrieved items.
        /// </summary>
        public Range Range
        {
            get { return _Range; }
            set { _Range = value; }
        }

        /// <summary>
        /// Provides access to the items retrieved by the search operation.
        /// </summary>
        public IList<ItemType> Items
        {
            get { return _Items; }
            set { _Items = value; }
        }


        /// <summary>
        /// Creates a new instance of this class.
        /// </summary>
        public SearchProgress()
        {
        }
    }
}