using System;
using System.Runtime.Serialization;

namespace InfiniTec.Exchange.WebDav
{
    /// <summary>
    /// This exception is thrown when an attemt is made to read the security descriptor
    /// from an item or folder, but the properties containing the security descriptor
    /// are missing
    /// </summary>
    [Serializable]
    public class SecurityInformationMissingException : PropertyNotFoundException
    {
        /// <summary>
        /// Creates a new instance of this class
        /// </summary>
        public SecurityInformationMissingException()
        {
        }

        /// <summary>
        /// Creates a new instance of this class
        /// </summary>
        /// <param name="message">The message to use</param>
        public SecurityInformationMissingException(string message) : base(message)
        {
        }

        /// <summary>
        /// Creates a new instance of this class
        /// </summary>
        /// <param name="message">The message to use</param>
        /// <param name="inner">The inner exception</param>
        public SecurityInformationMissingException(string message, Exception inner) : base(message, inner)
        {
        }

        /// <summary>
        /// Creates a new instance of this class
        /// </summary>
        /// <param name="info">A <see cref="SerializationInfo"/> instance</param>
        /// <param name="context">A <see cref="StreamingContext"/> instance</param>
        protected SecurityInformationMissingException(
            SerializationInfo info,
            StreamingContext context)
            : base(info, context)
        {
        }
    }
}